One of the challenging things about developing a web-based application is the number of browsers that are out there.  Not only do we have to work with Internet Explorer, Firefox, Safari, Chrome, Opera and more we have to try and work with all the various versions of each one.

This is particularly an issue with the newest and the oldest browsers.  For example, having made sure that we work with IE7, then Microsoft goes and brings out IE8 which is actually more standards compliant, but as such, breaks all the fixes people put in place to work with IE7.  If you are using IE8 (I do) you may find that you need to use “Compatibility View”.

It is also an issue when you are using an old browser such as Internet Explorer 6.  The problem with IE6 is that when we use more Javascript to give you pretty and clever User Interfaces (as you often request of us) it tends to slow down.  We have had a number of reports of slowness since 8.1 that we believe can be attributed to this.

So, please check your browser version (go to the Help menu and click “About”).  If you are using IE6, we recommend that you upgrade or talk to your IT folks about doing so.  Actually I think that you should use Firefox, but that is not always possible.  If there are any reasons why you can’t upgrade, please let us know.

:: Justin ::